## mkdocstrings 0.22.0

=== Makefile ===
.DEFAULT_GOAL := help
SHELL := bash

DUTY = $(shell [ -n "${VIRTUAL_ENV}" ] || echo pdm run) duty

args = $(foreach a,$($(subst -,_,$1)_args),$(if $(value $a),$a="$($a)"))
check_quality_args = files
docs_args = host port
release_args = version
test_args = match

BASIC_DUTIES = \
	changelog \
	check-api \
	check-dependencies \
	clean \
	coverage \
	docs \
	docs-deploy \
	format \
	release

QUALITY_DUTIES = \
	check-quality \
	check-docs \
	check-types \
	test

.PHONY: help
help:
	@$(DUTY) --list

.PHONY: lock
lock:
	@pdm lock --dev

.PHONY: setup
setup:
	@bash scripts/setup.sh

.PHONY: check
check:
	@pdm multirun duty check-quality check-types check-docs
	@$(DUTY) check-dependencies check-api

.PHONY: $(BASIC_DUTIES)
$(BASIC_DUTIES):
	@$(DUTY) $@ $(call args,$@)

.PHONY: $(QUALITY_DUTIES)
$(QUALITY_DUTIES):
	@pdm multirun duty $@ $(call args,$@)

## mkdocstrings 0.17.0

=== debian/changelog ===
mkdocstrings (0.17.0-1) unstable; urgency=medium

  * [0e9d040] New upstream version 0.17.0
  * [f559d67] First and basic Debianization
    (Closes: #1009892)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 20 Apr 2022 19:56:07 +0200

=== debian/control ===
Source: mkdocstrings
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
Build-Depends-Indep:
 dh-python,
 pybuild-plugin-pyproject,
 python3-poetry,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocstrings
Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocstrings.git
Homepage: https://github.com/mkdocstrings/mkdocstrings

Package: mkdocstrings
Architecture: all
Depends:
 python3-pytkdocs,
 mkdocs-autorefs,
 ${misc:Depends},
 ${python3:Depends},
Description: Automatic Python documentation from sources for MkDocs 
 MkDocs is a fast, simple and downright gorgeous static site generator
 that's geared towards building project documentation. Documentation
 source files are written in Markdown, and configured with a single YAML
 configuration file.
 .
 This package contains an plugin for MkDocs to build automatic documentation
 from docstrings within your source code files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=mkdocstrings
export PYBUILD_SYSTEM=pyproject
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/mkdocstrings/py.typed
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	# Adjust version information
	sed -i 's/@@DEB_VERSION_UPSTREAM@@/$(DEB_VERSION_UPSTREAM)/g' pyproject.toml
	dh_auto_build

## mkdocstrings 0.19.0

=== debian/changelog ===
mkdocstrings (0.19.0-2) unstable; urgency=medium

  * [adfd0b9] Rebuild patch queue from patch-queue branch
    Modified patch:
    Switch-to-poetry-as-build-system.patch
    Removing mkdocstrings-python-legacy as dependency.
  * [fe3ae6a] d/control: Suggest potential python handlers
  * [ce89c71] d/control: Add more B-D packages
  * [3127e64] d/rules: Turn on the internal testing
  * [18f0a49] d/rules: Remove PYBUILD_AFTER_INSTALL variable
  * [ad447dc] autopkgtest: Adding first working setup

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 01 Jun 2022 19:13:08 +0200

mkdocstrings (0.19.0-1) unstable; urgency=medium

  * [f04ca3c] New upstream version 0.19.0
  * [c7d7449] Rebuild patch queue from patch-queue branch
    Modified patch:
    Switch-to-poetry-as-build-system.patch
    Adopted upstream changes to pyproject.toml.
  * [2365dbc] d/README.source: Remove extra note for packaged version
  * [7131c2d] Remove pytkdocs from the dependencies
    This package isn't needed anymore as upstream has removed this package
    from the list of required installed packages.
  * [ccefaa0] d/control: Bump Standards-Version to 4.6.1
    No further changes needed.
  * [c8da4bf] d/py3dist-overrides: Add mkdocstrings_python_legacy
    We use mkdocstrings-python-legacy as packaged Debian package, so some
    needed package translation help.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 30 May 2022 17:48:30 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,16 @@
  python3-all,
 Build-Depends-Indep:
  dh-python,
+ mkdocs,
+ mkdocs-autorefs,
+ mkdocs-material,
+ mkdocstrings-python-handlers,
  pybuild-plugin-pyproject,
  python3-poetry,
+ python3-pytest,
+ python3-sphinx,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocstrings
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocstrings.git
 Homepage: https://github.com/mkdocstrings/mkdocstrings
@@ -20,11 +26,12 @@
 Package: mkdocstrings
 Architecture: all
 Depends:
- python3-pytkdocs,
  mkdocs-autorefs,
  ${misc:Depends},
  ${python3:Depends},
-Description: Automatic Python documentation from sources for MkDocs 
+Suggests:
+ mkdocstrings-python-handlers | mkdocstrings-python-legacy
+Description: Automatic Python documentation from sources for MkDocs
  MkDocs is a fast, simple and downright gorgeous static site generator
  that's geared towards building project documentation. Documentation
  source files are written in Markdown, and configured with a single YAML

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,9 @@
 
 export PYBUILD_NAME=mkdocstrings
 export PYBUILD_SYSTEM=pyproject
-export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/mkdocstrings/py.typed
-export PYBUILD_DISABLE=test
+export PYBUILD_BEFORE_TEST=cp -r {dir}/docs {dir}/mkdocs.yml {build_dir}
+export PYBUILD_AFTER_TEST=rm -rf {build_dir}/docs {build_dir}/mkdocs.yml
+export PYBUILD_TEST_ARGS=-k 'not test_sphinx_load_mkdocstrings_inventory_file'
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 mkdocs,
 mkdocs-autorefs,
 mkdocs-material,
 mkdocstrings-python-handlers,
 python3-all,
 python3-pytest,
 python3-sphinx,
 @,
Restrictions: allow-stderr

## mkdocstrings 0.19.1

=== debian/changelog ===
mkdocstrings (0.19.1-1) unstable; urgency=medium

  * [6445a2b] New upstream version 0.19.1
    (Closes: #1027511)
  * [c7b31f8] d/control: Move to dh-seuencer-*, add BuildProfleSpecs
  * [dda5993] d/rules: Drop --with option from default target

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 05 Jan 2023 19:56:33 +0100

mkdocstrings (0.19.0-4) unstable; urgency=medium

  * Team upload.
  * [a019397] Switch from poetry back to pdm-pep517 backend.

 -- Boyuan Yang <byang@debian.org>  Sat, 20 Aug 2022 10:54:05 -0400

mkdocstrings (0.19.0-3) unstable; urgency=medium

  * [c636851] d/{t,}/control: Add versioned dep on pygments

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 02 Jul 2022 12:33:27 +0200

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
  python3-all,
 Build-Depends-Indep:
- dh-python,
- mkdocs,
- mkdocs-autorefs,
- mkdocs-material,
- mkdocstrings-python-handlers,
+# mkdocs <!nodoc>,
+# mkdocs-autorefs <!nodoc>,
+# mkdocs-material <!nodoc>,
+ mkdocstrings-python-handlers <!nocheck>,
  pybuild-plugin-pyproject,
- python3-poetry,
- python3-pytest,
- python3-sphinx,
+ python3-pdm-pep517,
+ python3-pygments (>> 2.12),
+ python3-pytest <!nocheck>,
+# python3-sphinx <!nodoc>,
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocstrings

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=mkdocstrings
export PYBUILD_SYSTEM=pyproject
export PYBUILD_BEFORE_TEST=cp -r {dir}/docs {dir}/mkdocs.yml {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/docs {build_dir}/mkdocs.yml
export PYBUILD_TEST_ARGS=-k 'not test_sphinx_load_mkdocstrings_inventory_file'
export PDM_PEP517_SCM_VERSION = $(DEB_VERSION_UPSTREAM)

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  mkdocs-material,
  mkdocstrings-python-handlers,
  python3-all,
+ python3-pygments (>> 2.12),
  python3-pytest,
  python3-sphinx,
  @,

## mkdocstrings 0.20.0

=== debian/changelog ===
mkdocstrings (0.20.0-1) unstable; urgency=medium

  * [8aef6bd] New upstream version 0.20.0
  * [42e6fa7] Add patch queue from patch-queue branch
    Added patch:
    docs-Disable-some-plugins-in-config.patch
  * [328b2dd] d/control: Add new B-D which are needed for the added tests
  * [2264334] d/rules: Copy/remove files into place for the added tests
  * [cdc2130] autopkgtest: Adjusting the test setup
  * [90a280d] d/control: Bump Standards-Version to 4.6.2
    No further changes needed.
  * [59b1fd1] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 26 Feb 2023 20:32:37 +0100

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,21 @@
  dh-sequence-python3,
  python3-all,
 Build-Depends-Indep:
-# mkdocs <!nodoc>,
-# mkdocs-autorefs <!nodoc>,
-# mkdocs-material <!nodoc>,
+ mkdocs <!nodoc>,
+ mkdocs-autorefs <!nodoc>,
+ mkdocs-material <!nocheck> <!nodoc>,
+ mkdocs-literate-nav <!nocheck>,
+ mkdocs-section-index <!nocheck>,
  mkdocstrings-python-handlers <!nocheck>,
  pybuild-plugin-pyproject,
+ python3-markdown-callouts <!nocheck>,
+ python3-markdown-exec <!nocheck>,
  python3-pdm-pep517,
  python3-pygments (>> 2.12),
  python3-pytest <!nocheck>,
-# python3-sphinx <!nodoc>,
+# python3-sphinx <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocstrings
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocstrings.git
 Homepage: https://github.com/mkdocstrings/mkdocstrings

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=mkdocstrings
export PYBUILD_SYSTEM=pyproject
export PYBUILD_BEFORE_TEST=cp -r {dir}/docs {dir}/mkdocs.yml {dir}/*.md {dir}/src {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/docs {build_dir}/mkdocs.yml {build_dir}/*.md {build_dir}/src
export PYBUILD_TEST_ARGS=-k 'not test_sphinx_load_mkdocstrings_inventory_file'
export PDM_PEP517_SCM_VERSION = $(DEB_VERSION_UPSTREAM)

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -4,8 +4,12 @@
  mkdocs,
  mkdocs-autorefs,
  mkdocs-material,
+ mkdocs-literate-nav,
+ mkdocs-section-index,
  mkdocstrings-python-handlers,
  python3-all,
+ python3-markdown-callouts,
+ python3-markdown-exec,
  python3-pygments (>> 2.12),
  python3-pytest,
  python3-sphinx,

=== debian/watch ===
# watch file for mkdocstrings

version=4

opts="mode=git, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/mkdocstrings/mkdocstrings.git \
      refs/tags/@ANY_VERSION@

## mkdocstrings 0.22.0

=== debian/changelog ===
mkdocstrings (0.22.0-3) unstable; urgency=medium

  * [0ffdd3c] autopkgtest: Disable one more upstream test

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 22 Jun 2023 21:38:22 +0200

mkdocstrings (0.22.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 14 Jun 2023 20:28:05 +0200

mkdocstrings (0.22.0-1) experimental; urgency=medium

  * [12a423d] New upstream version 0.22.0
  * [31c1621] Rebuild patch queue from patch-queue branch
  * [9fb8156] d/control: Adjust build depending packages
  * [71062cc] d/rules: Use PDM_BUILD_SCM_VERSION for version inflating
  * [c0bb0d6] d/rules: Ignore some more upstream tests
  * [acc818d] autopkgtest: Adjust list of packages for testing

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 02 Jun 2023 10:05:41 +0200

mkdocstrings (0.21.2-1) experimental; urgency=medium

  * [1097ec2] New upstream version 0.21.2
  * [3eeda0a] Rebuild patch queue from patch-queue branch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 26 Apr 2023 20:41:46 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=mkdocstrings
export PYBUILD_SYSTEM=pyproject
export PYBUILD_BEFORE_TEST=cp -r {dir}/docs {dir}/mkdocs.yml {dir}/*.md {dir}/src {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/docs {build_dir}/mkdocs.yml {build_dir}/*.md {build_dir}/src
export PYBUILD_TEST_ARGS=-k 'not test_sphinx_load_mkdocstrings_inventory_file \
 and not test_extended_templates \
 and not test_disabling_plugin'
export PDM_BUILD_SCM_VERSION = $(DEB_VERSION_UPSTREAM)

%:
	dh $@ --buildsystem=pybuild

## mkdocstrings 0.23.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .DEFAULT_GOAL := help
 SHELL := bash
-
-DUTY = $(shell [ -n "${VIRTUAL_ENV}" ] || echo pdm run) duty
+DUTY := $(if $(VIRTUAL_ENV),,pdm run) duty
+export PDM_MULTIRUN_VERSIONS ?= 3.8 3.9 3.10 3.11 3.12
 
 args = $(foreach a,$($(subst -,_,$1)_args),$(if $(value $a),$a="$($a)"))
 check_quality_args = files

=== debian/changelog ===
mkdocstrings (0.23.0-1) unstable; urgency=medium

  * [4dfff0a] New upstream version 0.23.0
  * [e09943a] d/rules: Add target override_dh_clean
    (Closes: #1048151)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 04 Sep 2023 15:45:46 +0530

## mkdocstrings 0.24.0

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,8 @@
 	docs \
 	docs-deploy \
 	format \
-	release
+	release \
+	vscode
 
 QUALITY_DUTIES = \
 	check-quality \

=== debian/changelog ===
mkdocstrings (0.24.0-1) unstable; urgency=medium

  * [2f6687f] d/watch: Add compression type gz
  * [7b1c57b] New upstream version 0.24.0
  * [8a5d919] Rebuild patch queue from patch-queue branch
    Just refreshing the one existing patch.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 23 Nov 2023 12:28:18 +0000

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
  mkdocs <!nodoc>,
  mkdocs-autorefs <!nodoc>,
  mkdocs-material <!nocheck> <!nodoc>,
+ mkdocs-material-extensions <!nocheck>,
  mkdocs-literate-nav <!nocheck>,
- mkdocs-section-index <!nocheck>,
  mkdocstrings-python-handlers <!nocheck>,
  pybuild-plugin-pyproject,
  python3-markdown-callouts <!nocheck>,
  python3-markdown-exec <!nocheck>,
- python3-pdm-pep517,
+ python3-pdm-backend,
  python3-pygments (>> 2.12),
  python3-pytest <!nocheck>,
 # python3-sphinx <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,7 @@
 
 %:
 	dh $@ --buildsystem=pybuild
+
+override_dh_clean:
+	dh_clean
+	rm -rf .pdm-build

=== debian/tests/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
  mkdocs,
  mkdocs-autorefs,
  mkdocs-material,
+ mkdocs-material-extensions,
  mkdocs-literate-nav,
- mkdocs-section-index,
  mkdocstrings-python-handlers,
  python3-all,
  python3-markdown-callouts,

## mkdocstrings 0.24.3

=== Makefile ===
# If you have `direnv` loaded in your shell, and allow it in the repository,
# the `make` command will point at the `scripts/make` shell script.
# This Makefile is just here to allow auto-completion in the terminal.

actions = \
	changelog \
	check \
	check-api \
	check-dependencies \
	check-docs \
	check-quality \
	check-types \
	clean \
	coverage \
	docs \
	docs-deploy \
	format \
	help \
	release \
	run \
	setup \
	test \
	vscode

.PHONY: $(actions)
$(actions):
	@bash scripts/make "$@"

=== debian/changelog ===
mkdocstrings (0.24.3-1) unstable; urgency=medium

  * [1dcda3b] New upstream version 0.24.3
  * [64982c8] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 21 Apr 2024 09:41:49 +0200

mkdocstrings (0.24.2-2) unstable; urgency=medium

  * [abb6da2] Rebuild patch queue from patch-queue branch
    Added patch:
    tests-Mark-test_no_double_toc-expected-to-fail.patch
  * [261957d] d/rules: Remove .my_cache folder on dh_clean

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 06 Apr 2024 19:24:02 +0200

mkdocstrings (0.24.2-1) unstable; urgency=medium

  * [58b2923] New upstream version 0.24.2
    (Closes: #1067326)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 03 Apr 2024 18:28:56 +0200

mkdocstrings (0.24.1-1) unstable; urgency=medium

  * [81bac6a] New upstream version 0.24.1
  * [1b1eb37] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 09 Mar 2024 20:46:07 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  python3-pytest <!nocheck>,
 # python3-sphinx <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocstrings
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocstrings.git
 Homepage: https://github.com/mkdocstrings/mkdocstrings

=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,4 @@
 
 override_dh_clean:
 	dh_clean
-	rm -rf .pdm-build
+	rm -rf .pdm-build .mypy_cache

## mkdocstrings 0.25.1

=== debian/changelog ===
mkdocstrings (0.25.1-1) unstable; urgency=medium

  * [4a4687f] New upstream version 0.25.1
  * [c927cea] d/control: Add myself to Uploaders

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Tue, 28 May 2024 22:43:42 +0530

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Carsten Schoenert <c.schoenert@t-online.de>,
+ Kathara Sasikumar <katharasasikumar007@gmail.com>,
 Section: python
 Priority: optional
 Build-Depends:

## mkdocstrings 0.26.1

=== debian/changelog ===
mkdocstrings (0.26.1-2) unstable; urgency=medium

  * [490c173] d/control: Set a dependency on mkdocs-autorefs >= 1.2.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 16 Sep 2024 21:45:42 +0200

mkdocstrings (0.26.1-1) unstable; urgency=medium

  * [3970e1c] New upstream version 0.26.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 13 Sep 2024 17:33:47 +0200

mkdocstrings (0.25.2-1) unstable; urgency=medium

  * [3b53d49] New upstream version 0.25.2

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Wed, 28 Aug 2024 05:32:39 +0530

## mkdocstrings 0.27.0

=== debian/changelog ===
mkdocstrings (0.27.0-3) unstable; urgency=medium

  * [3bec88c] d/control: Require mkdocs-autorefs >= 1.3.0 while build
  * [ef78c08] autopktests: Require mkdocs-autorefs >= 1.3.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 19 Jan 2025 06:47:44 +0200

mkdocstrings (0.27.0-2) unstable; urgency=medium

  * [4ed40fc] d/gbp.conf: Remove unneeded entry
  * [82631f1] Rebuild patch queue from patch-queue branch
    Added patch:
    tests-Fix-test-call-due-changed-functions.patch
    Reworked/reamed patch:
    docs-Disable-some-plugins-in-config.patch
    -> docs-Disable-mkdocs-coverage-plugin-in-config.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 18 Jan 2025 10:02:21 +0200

mkdocstrings (0.27.0-1) unstable; urgency=medium

  * [2ebdbdd] New upstream version 0.27.0
  * [8b2b935] d/rules: Ignore test_load_inventory in dh_auto_test

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 12 Nov 2024 08:42:07 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-all,
 Build-Depends-Indep:
  mkdocs <!nodoc>,
- mkdocs-autorefs <!nodoc>,
+ mkdocs-autorefs (>= 1.3.0) <!nodoc>,
  mkdocs-material <!nocheck> <!nodoc>,
  mkdocs-material-extensions <!nocheck>,
  mkdocs-literate-nav <!nocheck>,
@@ -32,7 +32,7 @@
 Package: mkdocstrings
 Architecture: all
 Depends:
- mkdocs-autorefs,
+ mkdocs-autorefs (>= 1.2.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/tests/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
  upstream-tests
 Depends:
  mkdocs,
- mkdocs-autorefs,
+ mkdocs-autorefs (>= 1.3.0),
  mkdocs-material,
  mkdocs-material-extensions,
  mkdocs-literate-nav,

## mkdocstrings 0.28.2

=== debian/changelog ===
mkdocstrings (0.28.2-1) unstable; urgency=medium

  * [67cfdd2] New upstream version 0.28.2
  * [d53f125] Rebuild patch queue from patch-queue branch
    Removed patch:
    tests-Fix-test-call-due-changed-functions.patch
  * [c007ea0] d/control: Requiring mkdocs-autorefs (>= 1.4.0)
  * [47f8980] d/rules: Ignore tests depending mkdocs-get-deps
  * [2fcf573] autopkgtest: Adjust the test call

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 01 Mar 2025 16:12:25 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-all,
 Build-Depends-Indep:
  mkdocs <!nodoc>,
- mkdocs-autorefs (>= 1.3.0) <!nodoc>,
+ mkdocs-autorefs (>= 1.4.0) <!nodoc>,
  mkdocs-material <!nocheck> <!nodoc>,
  mkdocs-material-extensions <!nocheck>,
  mkdocs-literate-nav <!nocheck>,
@@ -32,7 +32,7 @@
 Package: mkdocstrings
 Architecture: all
 Depends:
- mkdocs-autorefs (>= 1.2.0),
+ mkdocs-autorefs (>= 1.4.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,15 @@
 export PYBUILD_SYSTEM=pyproject
 export PYBUILD_BEFORE_TEST=cp -r {dir}/docs {dir}/mkdocs.yml {dir}/*.md {dir}/src {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/docs {build_dir}/mkdocs.yml {build_dir}/*.md {build_dir}/src
-export PYBUILD_TEST_ARGS=-k 'not test_sphinx_load_mkdocstrings_inventory_file \
+export PYBUILD_TEST_ARGS=\
+ --ignore tests/test_extension.py \
+ --ignore tests/test_handlers.py \
+ --ignore tests/test_plugin.py \
+ -k 'not test_sphinx_load_mkdocstrings_inventory_file \
  and not test_extended_templates \
- and not test_disabling_plugin'
+ and not test_disabling_plugin \
+ and not test_load_inventory \
+ '
 export PDM_BUILD_SCM_VERSION = $(DEB_VERSION_UPSTREAM)
 
 %:

## mkdocstrings 0.29.0

=== debian/changelog ===
mkdocstrings (0.29.0-3ubuntu2) plucky; urgency=medium

  * d/{control, rules}: re-enable tests, bring back the
    mkdocstrings-python-handlers build-dep (LP: #2105963)

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Thu, 03 Apr 2025 11:01:20 +0530

mkdocstrings (0.29.0-3ubuntu1) plucky; urgency=medium

  * d/{control, rules}: temporarily disable tests and remove
    mkdocstrings-python-handlers B-D to break B-D cycle (LP: #2105963)

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Wed, 02 Apr 2025 09:44:36 +0530

mkdocstrings (0.29.0-3) unstable; urgency=medium

  * Team upload.
  * [1c663da] d/tests/control: Sync versioned test dependencies with
    Build-Depends

 -- Colin Watson <cjwatson@debian.org>  Tue, 18 Mar 2025 10:55:52 +0000

mkdocstrings (0.29.0-2) unstable; urgency=medium

  * [ecd604a] d/control: Set a versioned dep on mkdocs

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 17 Mar 2025 21:49:37 +0200

mkdocstrings (0.29.0-1) unstable; urgency=medium

  * [fbf8c46] New upstream version 0.29.0
  * [9ba8a23] Rebuild patch queue from patch-queue branch
    Refresh existing patches.
  * [f52f528] d/control: Set some more versions requierements on B-D
  * [f9f0abf] d/control: Add new needed test build dependency
  * [8733042] d/rules: Re-enable mostly all tests
  * [ce63fe6] d/README.source: Add hint about missing package
  * [2c44cb6] autopkgtest: Update package list and test config
  * [d0afc74] d/copyright: Update year data
  * [9abcb1a] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 16 Mar 2025 14:25:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: mkdocstrings
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Carsten Schoenert <c.schoenert@t-online.de>,
  Kathara Sasikumar <katharasasikumar007@gmail.com>,
@@ -10,13 +11,14 @@
  dh-sequence-python3,
  python3-all,
 Build-Depends-Indep:
- mkdocs <!nodoc>,
+ mkdocs (>= 1.6.0) <!nodoc>,
  mkdocs-autorefs (>= 1.4.0) <!nodoc>,
  mkdocs-material <!nocheck> <!nodoc>,
  mkdocs-material-extensions <!nocheck>,
  mkdocs-literate-nav <!nocheck>,
- mkdocstrings-python-handlers <!nocheck>,
+ mkdocstrings-python-handlers (>= 1.16.2) <!nocheck>,
  pybuild-plugin-pyproject,
+ python3-dirty-equals <!nocheck>,
  python3-markdown-callouts <!nocheck>,
  python3-markdown-exec <!nocheck>,
  python3-pdm-backend,
@@ -24,7 +26,7 @@
  python3-pytest <!nocheck>,
 # python3-sphinx <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocstrings
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocstrings.git
 Homepage: https://github.com/mkdocstrings/mkdocstrings
@@ -32,6 +34,7 @@
 Package: mkdocstrings
 Architecture: all
 Depends:
+ mkdocs (>= 1.6.1+dfsg1-2),
  mkdocs-autorefs (>= 1.4.0),
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=mkdocstrings
export PYBUILD_SYSTEM=pyproject
export PYBUILD_BEFORE_TEST=cp -r {dir}/docs {dir}/mkdocs.yml {dir}/*.md {dir}/src {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/docs {build_dir}/mkdocs.yml {build_dir}/*.md {build_dir}/src
export PYBUILD_TEST_ARGS=-k 'not test_sphinx_load_mkdocstrings_inventory_file'

export PDM_BUILD_SCM_VERSION = $(DEB_VERSION_UPSTREAM)

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .pdm-build .mypy_cache

## mkdocstrings 0.29.1

=== debian/changelog ===
mkdocstrings (0.29.1-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [a579eda] d/rules: Drop variable PYBUILD_SYSTEM

  [ Kathara Sasikumar ]
  * [8c6b956] New upstream version 0.29.1

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Thu, 10 Apr 2025 22:23:23 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: mkdocstrings
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Carsten Schoenert <c.schoenert@t-online.de>,
  Kathara Sasikumar <katharasasikumar007@gmail.com>,

=== debian/watch ===
--- 
+++ 
@@ -3,6 +3,7 @@
 version=4
 
 opts="mode=git, \
+      compression=gz, \
       uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+ds(\.?\d+)?$//" \
 https://github.com/mkdocstrings/mkdocstrings.git \

## mkdocstrings 0.30.1

=== debian/changelog ===
mkdocstrings (0.30.1-1) unstable; urgency=medium

  * [f82fb4d] d/watch: Convert to version 5
  * [5b3c399] New upstream version 0.30.1
  * [240b2d8] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 20 Sep 2025 17:07:49 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
  python3-pygments (>> 2.12),
  python3-pytest <!nocheck>,
 # python3-sphinx <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocstrings
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocstrings.git

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=mkdocstrings
-export PYBUILD_SYSTEM=pyproject
 export PYBUILD_BEFORE_TEST=cp -r {dir}/docs {dir}/mkdocs.yml {dir}/*.md {dir}/src {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/docs {build_dir}/mkdocs.yml {build_dir}/*.md {build_dir}/src
 export PYBUILD_TEST_ARGS=-k 'not test_sphinx_load_mkdocstrings_inventory_file'

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 mkdocs (>= 1.6.0),
 mkdocs-autorefs (>= 1.4.0),
 mkdocs-material,
 mkdocs-material-extensions,
 mkdocs-literate-nav,
 mkdocstrings-python-handlers (>= 1.16.2),
 python3-all,
 python3-dirty-equals,
 python3-markdown-callouts,
 python3-markdown-exec,
 python3-pygments (>> 2.12),
 python3-pytest,
 python3-sphinx,
 @,
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Source: https://github.com/mkdocstrings/mkdocstrings.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
Mode: git

## mkdocstrings 1.0.0

=== debian/changelog ===
mkdocstrings (1.0.0-1) unstable; urgency=medium

  * [9cbb6af] New upstream version 1.0.0
  * [4b7c04d] d/salsa-ci.yml: Adding Salsa-CI config file

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 08 Dec 2025 17:36:12 +0200

## mkdocstrings 1.0.1

=== debian/changelog ===
mkdocstrings (1.0.1-1) unstable; urgency=medium

  * [7b14e96] New upstream version 1.0.1
  * [2dc00bb] d/control: Bump Standards-Version to 4.7.3
    No further changes needed.
  * [dc45e20] d/control: Increase B-D version on mkdocstrings-python-handlers
  * [443a50b] d/copyright: Update year data
  * [2055e24] d/control: Drop field Priority: optional

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 22 Jan 2026 18:17:26 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
  Carsten Schoenert <c.schoenert@t-online.de>,
  Kathara Sasikumar <katharasasikumar007@gmail.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -15,7 +14,7 @@
  mkdocs-material <!nocheck> <!nodoc>,
  mkdocs-material-extensions <!nocheck>,
  mkdocs-literate-nav <!nocheck>,
- mkdocstrings-python-handlers (>= 1.16.2) <!nocheck>,
+ mkdocstrings-python-handlers (>= 2.0.0) <!nocheck>,
  pybuild-plugin-pyproject,
  python3-dirty-equals <!nocheck>,
  python3-markdown-callouts <!nocheck>,
@@ -24,7 +23,7 @@
  python3-pygments (>> 2.12),
  python3-pytest <!nocheck>,
 # python3-sphinx <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocstrings
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocstrings.git
 Homepage: https://github.com/mkdocstrings/mkdocstrings
